Lunascape‎

Lunascape 6 is currently available for free in 12 languages.

Choose language and installer type below, then click ‘Download’

  • STANDARD INSTALLER (35 MB):Gecko and WebKit will be downloaded at the initial use of each engine. Recommended for slower internet connection.
  • FULL INSTALLER (123 MB):Gecko and WebKit engine included in the installer.Recommended for broadband connection. Or use when you encountered problem installing Gecko and Webkit through Standard installer.

Would you like to volunteer for?translating Lunascape? If so, please register yourself through?Volunteer Registration.

Official / Stable Versions

Language Version Last Update Standard Full
中文 (簡体) 6.15.2 Feb 21, 2018 (JST) Download Download
正體中文 (繁體) 6.15.2 Feb 21, 2018 (JST) Download Download
English (US) 6.15.2 Feb 21, 2018 (JST) Download Download
English (GB) 6.15.2 Feb 21, 2018 (JST) Download Download
Francais 6.15.2 Feb 21, 2018 (JST) Download Download
Deutsch 6.15.2 Feb 21, 2018 (JST) Download Download
Italiano 6.15.2 Feb 21, 2018 (JST) Download Download
日本語 6.15.2 Feb 21, 2018 (JST) Download Download
한국어 6.15.2 Feb 21, 2018 (JST) Download Download
Portugues 6.15.2 Feb 21, 2018 (JST) Download Download
Русский 6.15.2 Feb 21, 2018 (JST) Download Download
Espanol 6.15.2 Feb 21, 2018 (JST) Download Download

Thanks to the contribution from Lunascape users, we are adding more languages. For more?European language options, please check out?here.

Note on upgrading from 6.2 or earlier

From 6.3.x, the installation binaries have been consolidated for languages other than Japanese. Please make a language selection at the beginning of the installation wizard. You may select another language to upgrade to, however, you will be required to reset profile/settings, as significant changes have been made since v6.3. If you’d like to switch to another language, we recommend upgrading to the same language first. For more information, please read this?FAQ.

System Requirements

OS*: Windows XP SP1 or later/Vista/7/8/8.1/10/Server2003/Server2008 Memory: 1GB (recommended: 2GB or more) Internet Explorer 6 or later?*Please note that since v6.2, Windows 2000 is no longer supported for using Gecko or WebKit engines, and Windows XP without service pack is no longer supported for using Gecko engine.

 

Advertisements